<?php

class Gmuhasebe extends CI_Controller{
    function __construct()
    {
        parent::__construct();
        $this->load->model('Gmuhasebe_model');
		

		// Giris Yapılmamış ise logine gönderiyoruz..
		
		$userid =  $this->session->userdata('userid');
        if(empty($userid))     
        {    
		redirect('login');
        }
		
		// Yetkili Degil  ise Anasayfa  gönderiyoruz..
		// Calisanlar Giremez
		
		$userid =  $this->session->userdata('useryetki');
		if($userid!=1)     
        {    
		redirect('anasayfa');
        }
		
    } 

    
    function genel()
    {
		
		$data['yenigenelmuhasebe']= $this->Gmuhasebe_model->get_genel_muhasebe_admin();

		$this->load->model('Calisan_model');
		$data['all_calisan'] = $this->Calisan_model->get_all_calisan();
		
		
        $data['_view'] = 'gmuhasebe/index';
        $this->load->view('layouts/main',$data);
    }
	
	function gelirgider()
    {
	
		$data['gelirgider'] = $this->Gmuhasebe_model->get_all_gmuhasebe_gelirgider();
	
		
		$this->load->model('Musteri_model');
		$data['all_musteri'] = $this->Musteri_model->get_all_musteri();
        
		$this->load->model('Calisan_model');
		$data['all_calisan'] = $this->Calisan_model->get_all_calisan();
		
		
        $data['_view'] = 'gmuhasebe/gelirgider';
        $this->load->view('layouts/main',$data);
    }
	
	function alacak()
    {

	
		$data['alacaklar'] = $this->Gmuhasebe_model->get_all_gmuhasebe_alacak();
		
		$this->load->model('Musteri_model');
		$data['all_musteri'] = $this->Musteri_model->get_all_musteri();
        
		$this->load->model('Calisan_model');
		$data['all_calisan'] = $this->Calisan_model->get_all_calisan();
		
		
        $data['_view'] = 'gmuhasebe/alacak';
        $this->load->view('layouts/main',$data);
    }
	
	
	
	
	function rapor()
    {
		
		if(isset($_POST) && count($_POST) > 0)     
        { 
			
			$nere=$this->input->post('nere');
			if($nere=='calisan')
			{
				$calisan=$this->input->post('calisan');
				$bastarih=$this->input->post('bastarih');
				$bittarih=$this->input->post('bittarih');
				
				if($bastarih==null){$bastarih="0000-00-00";};
				if($bittarih==null){$bittarih="9999-12-31";};
				
			$data['donencalisan'] = $calisan;
			$data['bastarih'] = $bastarih;
			$data['bittarih'] = $bittarih;
			$data['nere'] = $nere;
			
			$data['CMsonuc'] = $this->Gmuhasebe_model->get_calisan_muhasebe_sorgu($calisan,$bastarih,$bittarih);
			
			
			$this->load->model('Musteri_model');
			$data['all_musteri'] = $this->Musteri_model->get_all_musteri();
			
			$this->load->model('Calisan_model');
			$data['all_calisan'] = $this->Calisan_model->get_all_calisan();
			
			
			$data['_view'] = 'gmuhasebe/rapor';
			$this->load->view('layouts/main',$data);	
			
				
			}else if($nere=='musteri')
			{
							
				$musteri=$this->input->post('musteri');
				$bastarih=$this->input->post('bastarih');
				$bittarih=$this->input->post('bittarih');
				
				if($bastarih==null){$bastarih="0000-00-00";};
				if($bittarih==null){$bittarih="9999-12-31";};
				
				$data['donenmusteri'] = $musteri;
				$data['bastarih'] = $bastarih;
				$data['bittarih'] = $bittarih;
				$data['nere'] = $nere;
				
				$data['CMsonuc'] = $this->Gmuhasebe_model->get_musteri_muhasebe_sorgu($musteri,$bastarih,$bittarih);
				
				$this->load->model('Musteri_model');
				$data['all_musteri'] = $this->Musteri_model->get_all_musteri();
				
				$this->load->model('Calisan_model');
				$data['all_calisan'] = $this->Calisan_model->get_all_calisan();
				
				
				$data['_view'] = 'gmuhasebe/rapor';
				$this->load->view('layouts/main',$data);	
				
			}
	
			
        }
        else
        {
	
			
			$this->load->model('Musteri_model');
			$data['all_musteri'] = $this->Musteri_model->get_all_musteri();
			
			$this->load->model('Calisan_model');
			$data['all_calisan'] = $this->Calisan_model->get_all_calisan();
			
			
			$data['_view'] = 'gmuhasebe/rapor';
			$this->load->view('layouts/main',$data);
		}
    }

    /*
     * Gelir Gider Ekleme
     */
    function add()
    {   
        if(isset($_POST) && count($_POST) > 0)     
        {   
	
			$nere=$this->input->post('nere');
			if($nere==0)
			{
				$calisan=0;
				$musteri=0;
				
			}else if($nere==1)
			{
				$calisan=$this->input->post('calisan');
				$musteri=0;
				
			}else if($nere==2)
			{
				$calisan=0;
				$musteri=$this->input->post('musteri');
			}
            $params = array(
				'tur' => $this->input->post('tur'),
				'calisan' => $calisan,
				'musteri' => $musteri,
				'fiyat' => $this->input->post('fiyat'),
				'tarih' => $this->input->post('tarih'),
				'aciklama' => $this->input->post('aciklama'),
            );
            
            $gmuhasebe_id = $this->Gmuhasebe_model->add_gmuhasebe($params);
            redirect('gmuhasebe/gelirgider');
        }
        else
        {
			redirect('gmuhasebe/gelirgider');
        }
    }  




	/*
     * Alacak  Ekleme
     */
    function alacakekle()
    {   
        if(isset($_POST) && count($_POST) > 0)     
        {   
	
			$nere=$this->input->post('nere');
			if($nere==0)
			{
				$calisan=0;
				$musteri=0;
				
			}else if($nere==1)
			{
				$calisan=$this->input->post('calisan');
				$musteri=0;
				
			}else if($nere==2)
			{
				$calisan=0;
				$musteri=$this->input->post('musteri');
			}
            $params = array(
				'tur' => 4,
				'calisan' => $calisan,
				'musteri' => $musteri,
				'fiyat' => $this->input->post('fiyat'),
				'tarih' => $this->input->post('tarih'),
				'aciklama' => $this->input->post('aciklama'),
            );
            
            $gmuhasebe_id = $this->Gmuhasebe_model->add_gmuhasebe($params);
            redirect('gmuhasebe/alacak');
        }
        else
        {
			redirect('gmuhasebe/alacak');
        }
    }

//bekleyen odemeyi yapıyoruz
	function alacakodendi($id)
    {
		
		$data['gmuhasebe'] = $this->Gmuhasebe_model->get_gmuhasebe($id);
        if(isset($data['gmuhasebe']['id']))
        {
			
			if(isset($_POST) && count($_POST) > 0)     
            { 
				// nekadar 0 tamamı 1 eksik
				$nekadar=$this->input->post('nekadar');
				
				if($nekadar==0)
				{
					$params = array(
					'tur' => 1,
					'tarih' => date('Y-m-d'),
					);
					
					$this->db->where('id',$data['gmuhasebe']['id']);
					$this->db->update('gmuhasebe',$params);
					
					$this->session->set_flashdata('alacakodendi', 'Alacağın tamamı gelir olarak düzeltildi.');
					redirect('gmuhasebe/alacak');
					
					
				}else if($nekadar==1)
				{
					//gelen parayı gelir yapıp kalan parayı alacak olarak eklicez
					$gelenpara=$this->input->post('fiyat');
					$this->input->post('tarih');
				
					$geliryeni = array(
						'tur' => 1,
						'calisan' => $data['gmuhasebe']['calisan'],
						'musteri' => $data['gmuhasebe']['musteri'],
						'fiyat' => $this->input->post('fiyat'),
						'tarih' => $this->input->post('tarih'),
						'aciklama' => $data['gmuhasebe']['aciklama']."Alacaktan Alınan Ücret",
					);
					$this->Gmuhasebe_model->add_gmuhasebe($geliryeni);
					
					//kalan parayı hesaplayıp alacagı güncelliyoruz
					$kalanpara=$data['gmuhasebe']['fiyat']-$this->input->post('fiyat');
					
					$params = array(
					'fiyat' => $kalanpara,
					);
					
					$this->db->where('id',$data['gmuhasebe']['id']);
					$this->db->update('gmuhasebe',$params);
					
					$this->session->set_flashdata('alacakodendi', 'Alacağın '.$gelenpara.' TL si Gelir olarak eklendi ve alcak '.$kalanpara.' TL olarak düzeltildi.');
					redirect('gmuhasebe/alacak');
					
				}
		
				
			 
			}
        }
        else
            show_error('The gmuhasebe you are trying to delete does not exist.');
		

    }




    /*
     * Editing a gmuhasebe
     */
    function edit($id)
    {   
        // check if the gmuhasebe exists before trying to edit it
        $data['gmuhasebe'] = $this->Gmuhasebe_model->get_gmuhasebe($id);
        
        if(isset($data['gmuhasebe']['id']))
        {
            if(isset($_POST) && count($_POST) > 0)     
            {   
                $params = array(
					'tur' => $this->input->post('tur'),
					'calisan' => $this->input->post('calisan'),
					'fiyat' => $this->input->post('fiyat'),
					'tarih' => $this->input->post('tarih'),
					'aciklama' => $this->input->post('aciklama'),
                );

                $this->Gmuhasebe_model->update_gmuhasebe($id,$params);            
                redirect('gmuhasebe/index');
            }
            else
            {
				$this->load->model('Calisan_model');
				$data['all_calisan'] = $this->Calisan_model->get_all_calisan();

                $data['_view'] = 'gmuhasebe/edit';
                $this->load->view('layouts/main',$data);
            }
        }
        else
            show_error('The gmuhasebe you are trying to edit does not exist.');
    } 

    /*
     * Deleting gmuhasebe
     */
    function gelirgidersil($id)
    {
        $gmuhasebe = $this->Gmuhasebe_model->get_gmuhasebe($id);

        // check if the gmuhasebe exists before trying to delete it
        if(isset($gmuhasebe['id']))
        {
            $this->Gmuhasebe_model->delete_gmuhasebe($id);
            redirect('gmuhasebe/gelirgider');
        }
        else
            show_error('The gmuhasebe you are trying to delete does not exist.');
    }
	//bekleyen odemeyi yapıyoruz
	function calisanode($id)
    {
		$don=$this->uri->segment(4);
		$this->load->model('Cmuhasebe_model');
        $cmuhasebe = $this->Cmuhasebe_model->get_cmuhasebe($id);

        // check if the gmuhasebe exists before trying to delete it
        if(isset($cmuhasebe['id']))
        {
			$params = array(
					'durum' => 1,
					'tarih' => date('Y-m-d'),
                );
			 $this->db->where('id',$cmuhasebe['id']);
			 $this->db->update('cmuhasebe',$params);
			if($don=='d1')
			{
				
            redirect('gmuhasebe/genel');
			
			}else if($don=='d2'){	
			redirect('gmuhasebe/calisan');	
			}
        }
        else
            show_error('The gmuhasebe you are trying to delete does not exist.');
    }
    
}
